<template>
  <section>
      <h1>Dog Manager</h1>
      <dog-list :dogs="dogs" @delete="removeDog" />
      <dog-form @formSubmit="addDog" />
  </section>
</template>

<script>
import DogList from '../components/DogList.vue'
import DogForm from '../components/DogForm.vue'
import { fetchDogs, postDog, deleteDog } from "../services/dog-service";

export default {
    components: {
        DogList,
        DogForm
    },
    data: () => ({
        dogs: []
    }),
    mounted() {
        fetchDogs().then(dogs => this.dogs = dogs);
    },
    methods: {
        addDog(dog) {
            postDog(dog).then(data => this.dogs.push(data));
        },
        removeDog(dog) {
            deleteDog(dog).then(() => this.dogs = this.dogs.filter(item => item.id !== dog.id));
        }
    }

}
</script>

<style>

</style>